import { IDataDefinition } from "../Definitions/IDataDefinition";
import { XDataDefinition } from "../XDataDefinition";
export interface IAddFieldToDataStructure {
    field: IDataDefinition;
    path: string;
}
export declare class AddFieldToDataStructure implements IAddFieldToDataStructure {
    field: IDataDefinition;
    path: string;
    constructor(field: IDataDefinition, path: string);
    getMessage(): string;
    apply(def: XDataDefinition): void;
}
